## tweeper 0.2

=== Makefile ===
# Packagers may want to override this!
prefix ?= /usr/local

PHP_SCRIPT_DIR ?= $(prefix)/share/php
BIN_DIR := $(prefix)/bin
MAN_DIR := $(prefix)/share/man

TWEEPER_DIR := $(PHP_SCRIPT_DIR)/tweeper

all:

clean:
	rm -f tweeper.1

changelog:
	git log --pretty="format:%ai  %aN  <%aE>%n%n%x09* %s%d%n" > ChangeLog

docs:
	a2x -f manpage tweeper.1.asciidoc

installdocs: docs
	install -d $(DESTDIR)$(MAN_DIR)/man1
	install -m644 tweeper.1 $(DESTDIR)$(MAN_DIR)/man1

install: installdocs
	install -d $(DESTDIR)$(TWEEPER_DIR)
	install -m644 *.xsl $(DESTDIR)$(TWEEPER_DIR)
	install -m644 *.php $(DESTDIR)$(TWEEPER_DIR)
	install -m755 tweeper $(DESTDIR)$(TWEEPER_DIR)
	install -d $(DESTDIR)$(BIN_DIR)
	ln -sf $(TWEEPER_DIR)/tweeper $(DESTDIR)$(BIN_DIR)/tweeper
	@echo -e "\n\nINTALLATION COMPLETE"
	@echo -e "Make sure '$(PHP_SCRIPT_DIR)' is in PHP include_path!\n"

=== debian/changelog ===
tweeper (0.2-3) unstable; urgency=medium

  * debian/control: update Maintainer email address
  * debian/patches: add a patch to support "audio/ogg" enclosures
  * debian/control: add missing run-time dependencies.
    Thanks to Anton Nesterov (Closes: #738201)
  * debian/control: cosmetics remove trailing spaces

 -- Antonio Ospite <ao2@ao2.it>  Wed, 12 Feb 2014 15:37:51 +0100

tweeper (0.2-2) unstable; urgency=low

  * debian/gbp.conf: explicitly disable pristine-tar.
    Thanks to gregor herrmann <gregoa@debian.org>
  * debian/control: bump Standards-Version to 3.9.5
  * debian/rules: use $(CURDIR) instead of $$(pwd)
  * debian/control: specify the debian package branch in Vcs-Git
  * debian/patches: add a fix to the man page from upstream
  * debian/rules: install the NEWS file as the upstream changelog
  * debian/docs: package also the README and TODO files
  * debian/control: suggest libapache2-mod-php5 or php5-cgi
  * debian/control: reword some list items in the long description
  * debian/patches: add a patch to fix the list items in the man page

 -- Antonio Ospite <ospite@studenti.unina.it>  Wed, 20 Nov 2013 01:19:55 +0100

tweeper (0.2-1) unstable; urgency=low

  * Initial release (Closes: #729858)

 -- Antonio Ospite <ospite@studenti.unina.it>  Mon, 18 Nov 2013 14:52:14 +0100

=== debian/control ===
Source: tweeper
Section: php
Priority: optional
Maintainer: Antonio Ospite <ao2@ao2.it>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc, xmlto
Standards-Version: 3.9.5
Homepage: http://git.ao2.it/tweeper.git
Vcs-Git: git://git.ao2.it/tweeper.git -b debian
Vcs-Browser: http://git.ao2.it/tweeper.git

Package: tweeper
Architecture: all
Depends: ${misc:Depends}, php5-cli, php5-curl, php5-xsl
Suggests: libapache2-mod-php5 | php5-cgi
Description: web scraper to convert a Twitter timeline to an RSS feed
 tweeper is a web scraper which extracts the most recent public tweets of
 a given user from their home page on Twitter.com and formats them in RSS, so
 the information can be conveniently accessed and collected by a feed reader.
 .
 tweeper started as the TWitter fEEd scraPER but support for other web sites
 has been added.
 .
 The sites that tweeper is able to scrape and convert to RSS are:
 .
  * Twitter.com
  * Pump.io based websites, like Identi.ca
  * Dilbert.com
 .
 tweeper can be used as:
 .
  1. a command line tool;
  2. a filter for feed readers;
  3. a web based tool when PHP support is available in the web server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tweeper prefix=/usr install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## tweeper 0.3

=== debian/changelog ===
tweeper (0.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: update contact info and copyright years
  * debian/patches: remove all patches, all have been applied upstream
  * debian/control: mention that Howtoons.com is now supported

 -- Antonio Ospite <ao2@ao2.it>  Thu, 24 Apr 2014 18:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
   * Twitter.com
   * Pump.io based websites, like Identi.ca
   * Dilbert.com
+  * Howtoons.com
  .
  tweeper can be used as:
  .

## tweeper 0.4

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,6 @@
 
 clean:
 	rm -f tweeper.1
-
-changelog:
-	git log --pretty="format:%ai  %aN  <%aE>%n%n%x09* %s%d%n" > ChangeLog
 
 docs:
 	a2x -f manpage tweeper.1.asciidoc
@@ -29,5 +26,5 @@
 	install -m755 tweeper $(DESTDIR)$(TWEEPER_DIR)
 	install -d $(DESTDIR)$(BIN_DIR)
 	ln -sf $(TWEEPER_DIR)/tweeper $(DESTDIR)$(BIN_DIR)/tweeper
-	@echo -e "\n\nINTALLATION COMPLETE"
+	@echo -e "\n\nINSTALLATION COMPLETE"
 	@echo -e "Make sure '$(PHP_SCRIPT_DIR)' is in PHP include_path!\n"

=== debian/changelog ===
tweeper (0.4-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565894).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 09:58:08 -0700

tweeper (0.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: update the package description
  * debian/control: depend on php-xml-serializer
  * debian/copyright: update copyright years
  * debian/control: bump Standards-Version to 3.9.6

 -- Antonio Ospite <ao2@ao2.it>  Sun, 13 Sep 2015 22:33:28 +0200

=== debian/control ===
Source: tweeper
Section: php
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antonio Ospite <ao2@ao2.it>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc, xmlto
Standards-Version: 3.9.6
Homepage: http://git.ao2.it/tweeper.git
Vcs-Git: git://git.ao2.it/tweeper.git -b debian
Vcs-Browser: http://git.ao2.it/tweeper.git

Package: tweeper
Architecture: all
Depends: ${misc:Depends}, php-cli, php-curl, php-xsl, php-xml-serializer
Suggests: libapache2-mod-php | php-cgi
Description: web scraper to convert supported websites (e.g. Twitter.com) to RSS
 tweeper is a web scraper which can be used to conveniently follow the
 public activity of social network users without the need to log in or even be
 subscribed to the social network; tweeper converts the public information to
 RSS so that it can be accessed and collected by a feed reader.
 .
 tweeper started as the TWitter fEEd scraPER but support for other web sites
 has been added.
 .
 The sites that tweeper is able to scrape and convert to RSS are:
 .
  * Twitter.com
  * Pump.io based websites, like Identi.ca
  * Dilbert.com
  * Howtoons.com
  * Instagram.com
  * Facebook.com (public pages)
 .
 tweeper can be used as:
 .
  1. a command line tool;
  2. a filter for feed readers;
  3. a web based tool when used with a PHP-enabled web server.

=== debian/watch ===
version=3

opts=downloadurlmangle=s/shortlog\/refs\/tags\/(v[\d\.]+)/snapshot\/$1.tar.gz/,\
filenamemangle=s/.*v([\d\.]+)$/tweeper-$1.tar.gz/ \
  http://git.ao2.it/tweeper.git/tags  ^.*v([\d\.]+)

## tweeper 0.5

=== debian/changelog ===
tweeper (0.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: fix the dependencies on php packages (Closes: #821665)
  * debian/control: depend on php-symfony-serializer
  * debian/control: bump Standards-Version to 3.9.8
  * debian/control: use the https transport for all URLs

 -- Antonio Ospite <ao2@ao2.it>  Sat, 14 May 2016 11:25:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: tweeper
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Ospite <ao2@ao2.it>
+Maintainer: Antonio Ospite <ao2@ao2.it>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: asciidoc, xmlto
-Standards-Version: 3.9.6
-Homepage: http://git.ao2.it/tweeper.git
-Vcs-Git: git://git.ao2.it/tweeper.git -b debian
-Vcs-Browser: http://git.ao2.it/tweeper.git
+Standards-Version: 3.9.8
+Homepage: https://git.ao2.it/tweeper.git
+Vcs-Git: https://git.ao2.it/tweeper.git -b debian
+Vcs-Browser: https://git.ao2.it/tweeper.git
 
 Package: tweeper
 Architecture: all
-Depends: ${misc:Depends}, php-cli, php-curl, php-xsl, php-xml-serializer
+Depends: ${misc:Depends}, php-cli, php-curl, php-xsl, php-symfony-serializer
 Suggests: libapache2-mod-php | php-cgi
 Description: web scraper to convert supported websites (e.g. Twitter.com) to RSS
  tweeper is a web scraper which can be used to conveniently follow the

## tweeper 0.6

=== debian/changelog ===
tweeper (0.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control: depend on php-symfony-property-access
  * debian/control: depend on php-xml instead of php-xsl
  * debian/copyright: use https URLs as suggested by duck.
    Thanks to gregor herrmann <gregoa@debian.org>
  * debian/watch: use https in the repository URL.
    Thanks to gregor herrmann <gregoa@debian.org>

 -- Antonio Ospite <ao2@ao2.it>  Mon, 23 May 2016 16:59:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 Package: tweeper
 Architecture: all
-Depends: ${misc:Depends}, php-cli, php-curl, php-xsl, php-symfony-serializer
+Depends: ${misc:Depends}, php-cli, php-curl, php-xml, php-symfony-serializer,
+ php-symfony-property-access
 Suggests: libapache2-mod-php | php-cgi
 Description: web scraper to convert supported websites (e.g. Twitter.com) to RSS
  tweeper is a web scraper which can be used to conveniently follow the

=== debian/watch ===
version=3

opts=downloadurlmangle=s/shortlog\/refs\/tags\/(v[\d\.]+)/snapshot\/$1.tar.gz/,\
filenamemangle=s/.*v([\d\.]+)$/tweeper-$1.tar.gz/ \
  https://git.ao2.it/tweeper.git/tags  ^.*v([\d\.]+)

## tweeper 1.0.0

=== debian/changelog ===
tweeper (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: simplify the watch file, use the git mode to fetch tags
  * debian/copyright: some cleanup suggested by "cme update dpkg-copyright"
  * debian/{control,rules}: use pkg-php-tools

 -- Antonio Ospite <ao2@ao2.it>  Sun, 11 Dec 2016 10:52:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: php
 Priority: optional
 Maintainer: Antonio Ospite <ao2@ao2.it>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.7~)
 Build-Depends-Indep: asciidoc, xmlto
 Standards-Version: 3.9.8
 Homepage: https://git.ao2.it/tweeper.git
@@ -11,8 +11,7 @@
 
 Package: tweeper
 Architecture: all
-Depends: ${misc:Depends}, php-cli, php-curl, php-xml, php-symfony-serializer,
- php-symfony-property-access
+Depends: ${misc:Depends},  ${phpcomposer:Debian-require}
 Suggests: libapache2-mod-php | php-cgi
 Description: web scraper to convert supported websites (e.g. Twitter.com) to RSS
  tweeper is a web scraper which can be used to conveniently follow the

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
http://git.ao2.it/tweeper.git \
refs/tags/v([\d\.]+) debian uupdate

## tweeper 1.1.0

=== debian/changelog ===
tweeper (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump Standards-Version to 4.0.0
  * debian/control: don't mention Howtoons.com, it's not supported anymore
  * debian/copyright: minor updates suggested by "cme update dpkg-copyright"
  * debian/watch: use https for the git repository URL

 -- Antonio Ospite <ao2@ao2.it>  Tue, 27 Jun 2017 14:43:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Antonio Ospite <ao2@ao2.it>
 Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.7~)
 Build-Depends-Indep: asciidoc, xmlto
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://git.ao2.it/tweeper.git
 Vcs-Git: https://git.ao2.it/tweeper.git -b debian
 Vcs-Browser: https://git.ao2.it/tweeper.git
@@ -27,7 +27,6 @@
   * Twitter.com
   * Pump.io based websites, like Identi.ca
   * Dilbert.com
-  * Howtoons.com
   * Instagram.com
   * Facebook.com (public pages)
  .

## tweeper 1.2.0

=== debian/changelog ===
tweeper (1.2.0-1) unstable; urgency=medium

  * debian/{control,gbp.conf}: change the debian branch name to follow DEP-14
  * debian/{compat,control}: increase debhelper compatibility version to 11
  * debian/control: bump Standards-Version to 4.1.3
  * debian/control: fix the short description
  * debian/copyright: update copyright years

 -- Antonio Ospite <ao2@ao2.it>  Sun, 25 Feb 2018 10:44:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: php
 Priority: optional
 Maintainer: Antonio Ospite <ao2@ao2.it>
-Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.7~)
+Build-Depends: debhelper (>= 11), pkg-php-tools (>= 1.7~)
 Build-Depends-Indep: asciidoc, xmlto
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://git.ao2.it/tweeper.git
-Vcs-Git: https://git.ao2.it/tweeper.git -b debian
+Vcs-Git: https://git.ao2.it/tweeper.git -b debian/master
 Vcs-Browser: https://git.ao2.it/tweeper.git
 
 Package: tweeper
 Architecture: all
 Depends: ${misc:Depends},  ${phpcomposer:Debian-require}
 Suggests: libapache2-mod-php | php-cgi
-Description: web scraper to convert supported websites (e.g. Twitter.com) to RSS
+Description: web scraper to convert supported websites like Twitter.com to RSS
  tweeper is a web scraper which can be used to conveniently follow the
  public activity of social network users without the need to log in or even be
  subscribed to the social network; tweeper converts the public information to

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ 
+	dh $@ --with phpcomposer
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tweeper prefix=/usr install

## tweeper 1.3.0

=== debian/changelog ===
tweeper (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #900824)
  * debian/control: bump Standards-Version to 4.1.4

 -- Antonio Ospite <ao2@ao2.it>  Wed, 06 Jun 2018 16:31:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Antonio Ospite <ao2@ao2.it>
 Build-Depends: debhelper (>= 11), pkg-php-tools (>= 1.7~)
 Build-Depends-Indep: asciidoc, xmlto
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://git.ao2.it/tweeper.git
 Vcs-Git: https://git.ao2.it/tweeper.git -b debian/master
 Vcs-Browser: https://git.ao2.it/tweeper.git

## tweeper 1.4.0

=== debian/changelog ===
tweeper (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump Standards-Version to 4.2.1

 -- Antonio Ospite <ao2@ao2.it>  Sat, 17 Nov 2018 23:39:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Antonio Ospite <ao2@ao2.it>
 Build-Depends: debhelper (>= 11), pkg-php-tools (>= 1.7~)
 Build-Depends-Indep: asciidoc, xmlto
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://git.ao2.it/tweeper.git
 Vcs-Git: https://git.ao2.it/tweeper.git -b debian/master
 Vcs-Browser: https://git.ao2.it/tweeper.git

## tweeper 1.4.1

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,11 @@
 
 install: installdocs
 	install -d $(DESTDIR)$(TWEEPER_DIR)
-	install -m644 *.xsl $(DESTDIR)$(TWEEPER_DIR)
 	install -m644 *.php $(DESTDIR)$(TWEEPER_DIR)
 	install -m755 tweeper $(DESTDIR)$(TWEEPER_DIR)
+	install -d $(DESTDIR)$(TWEEPER_DIR)/src
+	install -m644 src/* $(DESTDIR)$(TWEEPER_DIR)/src
 	install -d $(DESTDIR)$(BIN_DIR)
-	ln -sf $(TWEEPER_DIR)/tweeper $(DESTDIR)$(BIN_DIR)/tweeper
+	ln -rsf $(DESTDIR)$(TWEEPER_DIR)/tweeper $(DESTDIR)$(BIN_DIR)/tweeper
 	@echo -e "\n\nINSTALLATION COMPLETE"
-	@echo -e "Make sure '$(PHP_SCRIPT_DIR)' is in PHP include_path!\n"
+	@echo -e "Make sure '$(DESTDIR)$(PHP_SCRIPT_DIR)' is in PHP include_path!\n"

=== debian/changelog ===
tweeper (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/{compat,control}: increase debhelper compatibility version to 12
  * debian/control: bump Standards-Version to 4.4.0
  * debian/control: remove unnecessary versioned dependency on pkg-php-tools
  * debian/copyright: update copyright years

 -- Antonio Ospite <ao2@ao2.it>  Sat, 07 Sep 2019 23:30:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: php
 Priority: optional
 Maintainer: Antonio Ospite <ao2@ao2.it>
-Build-Depends: debhelper (>= 11), pkg-php-tools (>= 1.7~)
+Build-Depends: debhelper-compat (= 12), pkg-php-tools
 Build-Depends-Indep: asciidoc, xmlto
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://git.ao2.it/tweeper.git
 Vcs-Git: https://git.ao2.it/tweeper.git -b debian/master
 Vcs-Browser: https://git.ao2.it/tweeper.git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://git.ao2.it/tweeper.git \
refs/tags/v([\d\.]+) debian uupdate

## tweeper 1.4.2

=== debian/changelog ===
tweeper (1.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #959842)
  * debian/control: bump Standards-Version to 4.5.0
  * debian/copyright: update copyright years
  * debian/control: increase debhelper compatibility version to 13
  * debian/control: add Rules-Requires-Root field

 -- Antonio Ospite <ao2@ao2.it>  Fri, 12 Jun 2020 23:54:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: php
 Priority: optional
 Maintainer: Antonio Ospite <ao2@ao2.it>
-Build-Depends: debhelper-compat (= 12), pkg-php-tools
+Build-Depends: debhelper-compat (= 13), pkg-php-tools
 Build-Depends-Indep: asciidoc, xmlto
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://git.ao2.it/tweeper.git
 Vcs-Git: https://git.ao2.it/tweeper.git -b debian/master
 Vcs-Browser: https://git.ao2.it/tweeper.git

## tweeper 1.4.3

=== debian/changelog ===
tweeper (1.4.3-2) unstable; urgency=medium

  * QA upload.

  * Orphaned package with approval from Antonio Ospite.
  * Added d/gbp.conf use new branches and to enforce pristine-tar.
  * Switched Vcs-* to salsa.
  * Updated Standards-Version from 4.5.1 to 4.7.2.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 04 Mar 2025 23:17:24 +0100

tweeper (1.4.3-1) unstable; urgency=medium

  * New upstream release (Closes: #975290)
  * debian/control: bump Standards-Version to 4.5.1

 -- Antonio Ospite <ao2@ao2.it>  Sun, 27 Dec 2020 18:45:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: tweeper
 Section: php
 Priority: optional
-Maintainer: Antonio Ospite <ao2@ao2.it>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-php-tools
 Build-Depends-Indep: asciidoc, xmlto
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://git.ao2.it/tweeper.git
-Vcs-Git: https://git.ao2.it/tweeper.git -b debian/master
-Vcs-Browser: https://git.ao2.it/tweeper.git
+Vcs-Git: https://salsa.debian.org/debian/tweeper.git
+Vcs-Browser: https://salsa.debian.org/debian/tweeper
 
 Package: tweeper
 Architecture: all
